import { GraphQLError, GraphQLErrorOptions } from "graphql";
import { RuleFormattedError } from "./interfaces";
export interface RuleErrorOptions extends GraphQLErrorOptions {
    infraction: string;
    operationName: string | undefined;
    operationCoordinates: string[];
    /** What needs to be added to the overrides for this coordinate for this error to be ignored? */
    override: GraphileConfig.GraphQLCheckConfig;
}
export declare class RuleError extends GraphQLError {
    options: RuleErrorOptions;
    constructor(message: string, options: RuleErrorOptions);
    toJSON(): RuleFormattedError;
}
