import { DocumentNode, GraphQLError, GraphQLSchema, ValidationContext } from "graphql";
import { TypeAndOperationPathInfo } from "./operationPaths";
import { RuleError } from "./ruleError";
export declare class RulesContext extends ValidationContext {
    private typeInfo;
    private resolvedPreset;
    constructor(schema: GraphQLSchema, ast: DocumentNode, typeInfo: TypeAndOperationPathInfo, resolvedPreset: GraphileConfig.ResolvedPreset, onError: (error: RuleError | GraphQLError) => void);
    getOperationPath(): string;
    getResolvedPreset(): GraphileConfig.ResolvedPreset;
    isIntrospection(): boolean;
}
