"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RulesContext = void 0;
const graphql_1 = require("graphql");
class RulesContext extends graphql_1.ValidationContext {
    typeInfo;
    resolvedPreset;
    constructor(schema, ast, typeInfo, resolvedPreset, onError) {
        super(schema, ast, typeInfo, (error) => onError(error));
        this.typeInfo = typeInfo;
        this.resolvedPreset = resolvedPreset;
    }
    getOperationPath() {
        return this.typeInfo.getOperationPath();
    }
    getResolvedPreset() {
        return this.resolvedPreset;
    }
    isIntrospection() {
        return this.typeInfo.isIntrospection();
    }
}
exports.RulesContext = RulesContext;
